import VeeValidate from 'vee-validate';

export default class Validator {

  public static setup() {
    this.verifyPassword();
  }

  private static verifyPassword() {

    VeeValidate.Validator.extend('verify_password', {
      getMessage: (field: any) => 'The password must contain at least: 1 uppercase letter, 1 lowercase letter, 1 number, and one special character (E.g. , . _ & ? etc)',
      validate: (value: string): boolean => {
        const strongRegex = new RegExp('^(?=.[a-z])(?=.[A-Z])(?=.[0-9])(?=.{8,})');
        return strongRegex.test(value);
      }
    });
  }

  // add more validators ... and call them in setup as shown above

}





